const extensionId = 'opgfklgemimfakkhhenkjpebopabfjjd';

// Release
const writefullUrl = 'https://storage.googleapis.com/writefull-cdn/writefull.js';

let isRunning = false;
document.addEventListener('readystatechange', (event) => {
  isRunning = true;

  if (document.readyState === 'interactive' ||
    (document.readyState === 'complete' && !window._writefull && !isRunning)) {

    const scriptCM6 = document.createElement('script');
    scriptCM6.type = 'text/javascript';
    scriptCM6.innerHTML = `
      window.addEventListener('UNSTABLE_editor:extensions', (event) => {
        if (event.detail) {
          const { CodeMirror, extensions } = event.detail;

          window._writefull = {
            ...CodeMirror,
            extensions
          }
        }

        if (window.w$) {
          w$.reloadEditor();
        }
      });
      window.addEventListener('editor:extensions', (event) => {
        if (event.detail) {
          const { CodeMirror, extensions } = event.detail;

          window._writefull = {
            ...CodeMirror,
            extensions
          }
        }

        if (window.w$) {
          w$.reloadEditor();
        }
      });
    `;
    document.body.append(scriptCM6);
    setTimeout(() => {scriptCM6.remove()}, 0);
    isRunning = false;
  }

});

const load = function() {
  setTimeout(function() {
    const script = document.createElement('script')
    script.src = `${writefullUrl}?ts=${+new Date()}`;
    script.type = 'text/javascript';
    document.body.append(script);
    setTimeout(() => {script.remove()}, 0);
  }, 1000);
}
window.addEventListener('load', load);
